package main

import (
	_ "games.yol.com/win88"
	"mongo.games.com/game/common"
	"mongo.games.com/game/model"

	"mongo.games.com/goserver/core"
	"mongo.games.com/goserver/core/module"
)

func main() {
	core.RegisterConfigEncryptor(common.ConfigFE)
	defer core.ClosePackages()
	core.LoadPackages("config.json")

	model.InitGameParam()

	waiter := module.Start()
	waiter.Wait("main()")
}
